# Grunt Drupal Tasks

> A Grunt plugin to automate Drupal 7 and Drupal 8 build and testing tasks.

Code Status (master branch):
[![Travis CI status](https://travis-ci.org/phase2/grunt-drupal-tasks.svg?branch=master)](https://travis-ci.org/phase2/grunt-drupal-tasks)
[![Dependency Status](https://david-dm.org/phase2/grunt-drupal-tasks.svg)](https://david-dm.org/phase2/grunt-drupal-tasks)
[![npm version](https://badge.fury.io/js/grunt-drupal-tasks.svg)](https://www.npmjs.com/package/grunt-drupal-tasks)

**This branch contains documentation for the v1.0.0 pre-release. Documentation
for v0.11.1 and earlier can be found at:**
https://github.com/phase2/grunt-drupal-tasks/tree/v0.11.1

## Features

This project is built on the tools of the Grunt community to provide scripted
automation of a number of PHP & Drupal tasks. Here are a few examples of what it
provides:

* Configurable code structure that defaults to a clean development practice.
* Composer [build workflow](https://phase2.github.io/grunt-drupal-tasks/build)
  (or Drush make-based build workflow for Drupal 7.x).
* Optional use [Code Quality & Static Analysis](https://phase2.github.io/grunt-drupal-tasks/quality),
  and [Frontend tooling](https://phase2.github.io/grunt-drupal-tasks/frontend)
  to extend the build process.
* [Behat and SimpleTest Testing](https://phase2.github.io/grunt-drupal-tasks/testing)
* [Deployment packaging](https://phase2.github.io/grunt-drupal-tasks/package)
* [Git Hook management](https://phase2.github.io/grunt-drupal-tasks/git-hooks)
* Desktop Notifications
* Local Development Friendly
* [CI](https://phase2.github.io/grunt-drupal-tasks/ci) Friendly

We are continuously working to improve this toolchain, adding functionality that
we see as common to our _continuous integration_ and everyday development
practices.

## Requirements

For requirements, installation, use, and customization instructions, see the [documentation](https://phase2.github.io/grunt-drupal-tasks).
